From 69122d490c668f31c5a498baadc5f81a11751bae Mon Sep 17 00:00:00 2001
From: Nicolas ROCHE <nroche@entrouvert.com>
Date: Thu, 14 Jan 2021 17:17:56 +0100
Subject: [PATCH 2/4] maelis: update test data files (#50081)

---
 tests/data/maelis/ActivityService.wsdl        | 1195 +++--
 tests/data/maelis/child_activities.json       | 4521 ++++++++++++-----
 ...hild_planning_readActivityListResponse.xml | 3564 ++++++++++---
 .../data/maelis/readActivityListResponse.xml  | 4413 +++++++++++++---
 tests/test_maelis.py                          |    4 +-
 5 files changed, 10522 insertions(+), 3175 deletions(-)

diff --git a/tests/data/maelis/ActivityService.wsdl b/tests/data/maelis/ActivityService.wsdl
index 97c338cc..0655bd80 100644
--- a/tests/data/maelis/ActivityService.wsdl
+++ b/tests/data/maelis/ActivityService.wsdl
@@ -1,521 +1,676 @@
 <?xml version='1.0' encoding='UTF-8'?><wsdl:definitions name="ActivityService" targetNamespace="activity.ws.maelis.sigec.com" xmlns:ns1="http://cxf.apache.org/bindings/xformat" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
-    <wsdl:types>
-        <xs:schema targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
-            <xs:complexType name="weeklyCalendarActivityBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="yearCalendar" type="xs:int" />
-                    <xs:element minOccurs="0" name="weeklyCalendarStr" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="personInfoBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="idMaelis" type="xs:string" />
-                    <xs:element name="num" type="xs:int" />
-                    <xs:element minOccurs="0" name="lastname" type="xs:string" />
-                    <xs:element minOccurs="0" name="firstname" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-        </xs:schema>
-        <xs:schema targetNamespace="bean.persistence.activity.ws.maelis.sigec.com" version="1.0" xmlns:ns1="activity.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:tns="bean.persistence.activity.ws.maelis.sigec.com" xmlns:xs="http://www.w3.org/2001/XMLSchema">
-            <xs:import namespace="activity.ws.maelis.sigec.com" />
-            <xs:import namespace="bean.persistence.ws.maelis.sigec.com" />
-            <xs:complexType name="updateRealCalendarsRequestBean">
-                <xs:sequence>
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="unitPersonDayInfoBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="numPerson" type="xs:int" />
-                    <xs:element minOccurs="0" name="idAct" type="xs:string" />
-                    <xs:element minOccurs="0" name="idUni" type="xs:string" />
-                    <xs:element minOccurs="0" name="date" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="action" type="ns1:dayInfoAction" />
-                    <xs:element minOccurs="0" name="idPlace" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="updateRealCalendarsResultBean">
-                <xs:sequence>
-                    <xs:element name="result" type="xs:boolean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="unitPersonDayInfoErrorBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="errorMessage" type="xs:string" />
-                    <xs:element minOccurs="0" name="unitPersonDayInfoBean" type="tns:unitPersonDayInfoBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="readActivityPortailListResultBean">
-                <xs:sequence>
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="activityUnitPlacePortailList" nillable="true" type="tns:activityUnitPlacePortailBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityUnitPlacePortailBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="activityPortail" type="tns:activityPortailBean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="openDayList" nillable="true" type="xs:dateTime" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPortailList" nillable="true" type="tns:unitPortailBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityPortailBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="idAct" type="xs:string" />
-                    <xs:element minOccurs="0" name="label" type="xs:string" />
-                    <xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="codeConso" type="xs:string" />
-                    <xs:element minOccurs="0" name="email" type="xs:string" />
-                    <xs:element minOccurs="0" name="schoolYear" type="xs:int" />
-                    <xs:element minOccurs="0" name="calendarGeneration" type="ns1:activityCalendarGenerationBean" />
-                    <xs:element minOccurs="0" name="dateStartPubli" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEndPubli" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="schoolControl" type="xs:string" />
-                    <xs:element minOccurs="0" name="calendarMode" type="xs:string" />
-                    <xs:element minOccurs="0" name="activityType" type="tns:activityTypeBean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="weeklyCalendarActivityList" nillable="true" type="ns2:weeklyCalendarActivityBean" />
-                    <xs:element minOccurs="0" name="birthControl" type="xs:string" />
-                    <xs:element minOccurs="0" name="waitIfComplete" type="xs:string" />
-                    <xs:element minOccurs="0" name="schoolNature" type="tns:schoolNatureBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityTypeBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="xs:string" />
-                    <xs:element minOccurs="0" name="libelle" type="xs:string" />
-                    <xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityNatureBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="xs:string" />
-                    <xs:element minOccurs="0" name="libelle" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="schoolNatureBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="xs:string" />
-                    <xs:element minOccurs="0" name="libelle" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="unitPortailBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="idUnit" type="xs:string" />
-                    <xs:element minOccurs="0" name="label" type="xs:string" />
-                    <xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="consoTarifList" nillable="true" type="tns:consoTarifBean" />
-                    <xs:element minOccurs="0" name="calendarLetter" type="xs:string" />
-                    <xs:element minOccurs="0" name="subscribePublication" type="xs:string" />
-                    <xs:element minOccurs="0" name="dateStartSubscribe" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEndSubscribe" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="numOrder" type="xs:int" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="tns:placeBean" />
-                    <xs:element minOccurs="0" name="birthDateStart" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="birthDateEnd" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="typeCtrlPlace" type="xs:string" />
-                    <xs:element minOccurs="0" name="nbPlace" type="xs:int" />
-                    <xs:element minOccurs="0" name="nbPlaceBoy" type="xs:int" />
-                    <xs:element minOccurs="0" name="nbPlaceGirl" type="xs:int" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="idUnitEnemyList" nillable="true" type="xs:string" />
-                    <xs:element minOccurs="0" name="topCESU" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="consoTarifBean">
-                <xs:complexContent>
-                    <xs:extension base="ns1:abstractSpecBean">
-                        <xs:sequence>
-                            <xs:element minOccurs="0" name="commune" type="xs:string" />
-                            <xs:element minOccurs="0" name="tarif" type="ns1:codeLabelBean" />
-                            <xs:element minOccurs="0" name="conso" type="ns1:codeLabelBean" />
-                        </xs:sequence>
-                    </xs:extension>
-                </xs:complexContent>
-            </xs:complexType>
-            <xs:complexType name="placeBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="id" type="xs:string" />
-                    <xs:element minOccurs="0" name="lib" type="xs:string" />
-                    <xs:element minOccurs="0" name="lib2" type="xs:string" />
-                    <xs:element minOccurs="0" name="adresse" type="tns:adressBean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="schoolInfoList" nillable="true" type="ns1:schoolInfoBean" />
-                    <xs:element minOccurs="0" name="typeCtrlPlace" type="xs:string" />
-                    <xs:element minOccurs="0" name="nbPlace" type="xs:int" />
-                    <xs:element minOccurs="0" name="nbPlaceBoy" type="xs:int" />
-                    <xs:element minOccurs="0" name="nbPlaceGirl" type="xs:int" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="adressBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="num" type="xs:int" />
-                    <xs:element minOccurs="0" name="street1" type="xs:string" />
-                    <xs:element minOccurs="0" name="street2" type="xs:string" />
-                    <xs:element minOccurs="0" name="idStreet" type="xs:string" />
-                    <xs:element minOccurs="0" name="zipcode" type="xs:string" />
-                    <xs:element minOccurs="0" name="town" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="dayBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="datePlanning" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dayType" type="tns:dayTypeBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="dayTypeBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="ns1:code" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="resultCalendarListBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="person" type="ns2:personInfoBean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="calendList" nillable="true" type="tns:calendarUnitDayBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="calendarUnitDayBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="unit" type="tns:unitBean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="listDays" nillable="true" type="tns:dayBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="unitBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="id" type="xs:string" />
-                    <xs:element minOccurs="0" name="idActivity" type="xs:string" />
-                    <xs:element minOccurs="0" name="libelle" type="xs:string" />
-                    <xs:element minOccurs="0" name="motif" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="updateScheduleCalendarsRequestBean">
-                <xs:sequence>
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="updateScheduleCalendarsResultBean">
-                <xs:sequence>
-                    <xs:element name="result" type="xs:boolean" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean" />
-                </xs:sequence>
-            </xs:complexType>
-        </xs:schema>
-        <xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="activity.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.activity.ws.maelis.sigec.com" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:xs="http://www.w3.org/2001/XMLSchema">
-            <xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com" />
-            <xs:complexType name="activityPeriodCapacityKernelBean">
-                <xs:sequence>
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="calendCapacityExceptKernelList" nillable="true" type="tns:calendCapacityKernelBean" />
-                    <xs:element minOccurs="0" name="capacity" type="xs:int" />
-                    <xs:element minOccurs="0" name="periodKernel" type="tns:codeLabelKernelBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="calendCapacityKernelBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="capacity" type="xs:int" />
-                    <xs:element minOccurs="0" name="dayDate" type="xs:dateTime" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="codeLabelKernelBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="xs:string" />
-                    <xs:element minOccurs="0" name="label" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityUnitPlace2KernelBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="activityKernel" type="xs:anyType" />
-                    <xs:element maxOccurs="unbounded" minOccurs="0" name="unitKernelList" nillable="true" type="xs:anyType" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="consoTarifKernelBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="commune" type="xs:string" />
-                    <xs:element minOccurs="0" name="consoKernelBean" type="tns:codeLabelKernelBean" />
-                    <xs:element minOccurs="0" name="tarifKernelBean" type="tns:codeLabelKernelBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType name="activityCalendarGenerationBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="code" type="tns:activityCalendarGenerationMode" />
-                    <xs:element minOccurs="0" name="value" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:complexType abstract="true" name="abstractSpecBean">
-                <xs:sequence />
-            </xs:complexType>
-            <xs:complexType name="codeLabelBean">
-                <xs:complexContent>
-                    <xs:extension base="tns:abstractSpecBean">
-                        <xs:sequence>
-                            <xs:element minOccurs="0" name="code" type="xs:string" />
-                            <xs:element minOccurs="0" name="label" type="xs:string" />
-                        </xs:sequence>
-                    </xs:extension>
-                </xs:complexContent>
-            </xs:complexType>
-            <xs:complexType name="schoolInfoBean">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="idSchool" type="xs:string" />
-                    <xs:element minOccurs="0" name="schoolName" type="xs:string" />
-                    <xs:element minOccurs="0" name="phone" type="xs:string" />
-                    <xs:element minOccurs="0" name="adress" type="ns1:adressBean" />
-                    <xs:element minOccurs="0" name="headmaster" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:simpleType name="dayInfoAction">
-                <xs:restriction base="xs:string">
-                    <xs:enumeration value="ADD_PRES_PREVI" />
-                    <xs:enumeration value="DEL_PRES_PREVI" />
-                    <xs:enumeration value="ADD_ABSENCE" />
-                    <xs:enumeration value="DEL_ABSENCE" />
-                    <xs:enumeration value="ADD_PRES_REAL" />
-                    <xs:enumeration value="DEL_PRES_REAL" />
-                    <xs:enumeration value="ADD_DEDUCTED_ABSENCE" />
-                </xs:restriction>
-            </xs:simpleType>
-            <xs:simpleType name="activityCalendarGenerationMode">
-                <xs:restriction base="xs:string">
-                    <xs:enumeration value="REQUIRED" />
-                    <xs:enumeration value="FORBIDDEN" />
-                    <xs:enumeration value="NOT_REQUIRED" />
-                </xs:restriction>
-            </xs:simpleType>
-            <xs:simpleType name="code">
-                <xs:restriction base="xs:string">
-                    <xs:enumeration value="AM" />
-                    <xs:enumeration value="PM" />
-                    <xs:enumeration value="DAY" />
-                    <xs:enumeration value="NONE" />
-                </xs:restriction>
-            </xs:simpleType>
-            <xs:element name="MaelisActivityException" type="tns:MaelisActivityException" />
-            <xs:complexType name="MaelisActivityException">
-                <xs:sequence>
-                    <xs:element name="message" nillable="true" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateRealCalendars" type="tns:updateRealCalendars" />
-            <xs:complexType name="updateRealCalendars">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="updateRealCalendarsRequestBean" type="ns1:updateRealCalendarsRequestBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateRealCalendarsResponse" type="tns:updateRealCalendarsResponse" />
-            <xs:complexType name="updateRealCalendarsResponse">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="return" type="ns1:updateRealCalendarsResultBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateWeekCalendar" type="tns:updateWeekCalendar" />
-            <xs:complexType name="updateWeekCalendar">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="idActivity" type="xs:string" />
-                    <xs:element minOccurs="0" name="numPerson" type="xs:int" />
-                    <xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="weeklyPlanningAM" type="xs:string" />
-                    <xs:element minOccurs="0" name="weeklyPlanningPM" type="xs:string" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateWeekCalendarResponse" type="tns:updateWeekCalendarResponse" />
-            <xs:complexType name="updateWeekCalendarResponse">
-                <xs:sequence />
-            </xs:complexType>
-            <xs:element name="readActivityList" type="tns:readActivityList" />
-            <xs:complexType name="readActivityList">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="schoolyear" type="xs:int" />
-                    <xs:element minOccurs="0" name="dateStartCalend" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="dateEndCalend" type="xs:dateTime" />
-                    <xs:element minOccurs="0" name="numPerson" type="xs:int" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="readActivityListResponse" type="tns:readActivityListResponse" />
-            <xs:complexType name="readActivityListResponse">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="ReadActivityPortailListResultBean" type="ns1:readActivityPortailListResultBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="readChildMonthPlanning" type="tns:readChildMonthPlanning" />
-            <xs:complexType name="readChildMonthPlanning">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="numPerson" type="xs:int" />
-                    <xs:element minOccurs="0" name="idActivity" type="xs:string" />
-                    <xs:element minOccurs="0" name="idUnit" type="xs:string" />
-                    <xs:element minOccurs="0" name="year" type="xs:int" />
-                    <xs:element minOccurs="0" name="numMonth" type="xs:int" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="readChildMonthPlanningResponse" type="tns:readChildMonthPlanningResponse" />
-            <xs:complexType name="readChildMonthPlanningResponse">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="ResultCalendarList" type="ns1:resultCalendarListBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateScheduleCalendars" type="tns:updateScheduleCalendars" />
-            <xs:complexType name="updateScheduleCalendars">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="updateScheduleCalendarsRequestBean" type="ns1:updateScheduleCalendarsRequestBean" />
-                </xs:sequence>
-            </xs:complexType>
-            <xs:element name="updateScheduleCalendarsResponse" type="tns:updateScheduleCalendarsResponse" />
-            <xs:complexType name="updateScheduleCalendarsResponse">
-                <xs:sequence>
-                    <xs:element minOccurs="0" name="return" type="ns1:updateScheduleCalendarsResultBean" />
-                </xs:sequence>
-            </xs:complexType>
-        </xs:schema>
-    </wsdl:types>
-    <wsdl:message name="updateRealCalendars">
-        <wsdl:part element="tns:updateRealCalendars" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="updateWeekCalendarResponse">
-        <wsdl:part element="tns:updateWeekCalendarResponse" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="updateScheduleCalendarsResponse">
-        <wsdl:part element="tns:updateScheduleCalendarsResponse" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="updateWeekCalendar">
-        <wsdl:part element="tns:updateWeekCalendar" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="readActivityList">
-        <wsdl:part element="tns:readActivityList" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="readChildMonthPlanning">
-        <wsdl:part element="tns:readChildMonthPlanning" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="readChildMonthPlanningResponse">
-        <wsdl:part element="tns:readChildMonthPlanningResponse" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="readActivityListResponse">
-        <wsdl:part element="tns:readActivityListResponse" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="MaelisActivityException">
-        <wsdl:part element="tns:MaelisActivityException" name="MaelisActivityException">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="updateRealCalendarsResponse">
-        <wsdl:part element="tns:updateRealCalendarsResponse" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:message name="updateScheduleCalendars">
-        <wsdl:part element="tns:updateScheduleCalendars" name="parameters">
-        </wsdl:part>
-    </wsdl:message>
-    <wsdl:portType name="ActivityService">
-        <wsdl:operation name="updateRealCalendars">
-            <wsdl:input message="tns:updateRealCalendars" name="updateRealCalendars">
-            </wsdl:input>
-            <wsdl:output message="tns:updateRealCalendarsResponse" name="updateRealCalendarsResponse">
-            </wsdl:output>
-            <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="updateWeekCalendar">
-            <wsdl:input message="tns:updateWeekCalendar" name="updateWeekCalendar">
-            </wsdl:input>
-            <wsdl:output message="tns:updateWeekCalendarResponse" name="updateWeekCalendarResponse">
-            </wsdl:output>
-            <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="readActivityList">
-            <wsdl:input message="tns:readActivityList" name="readActivityList">
-            </wsdl:input>
-            <wsdl:output message="tns:readActivityListResponse" name="readActivityListResponse">
-            </wsdl:output>
-            <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="readChildMonthPlanning">
-            <wsdl:input message="tns:readChildMonthPlanning" name="readChildMonthPlanning">
-            </wsdl:input>
-            <wsdl:output message="tns:readChildMonthPlanningResponse" name="readChildMonthPlanningResponse">
-            </wsdl:output>
-            <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="updateScheduleCalendars">
-            <wsdl:input message="tns:updateScheduleCalendars" name="updateScheduleCalendars">
-            </wsdl:input>
-            <wsdl:output message="tns:updateScheduleCalendarsResponse" name="updateScheduleCalendarsResponse">
-            </wsdl:output>
-            <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
-            </wsdl:fault>
-        </wsdl:operation>
-    </wsdl:portType>
-    <wsdl:binding name="ActivityServiceSoapBinding" type="tns:ActivityService">
-        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
-        <wsdl:operation name="updateRealCalendars">
-            <soap:operation soapAction="" style="document" />
-            <wsdl:input name="updateRealCalendars">
-                <soap:body use="literal" />
-            </wsdl:input>
-            <wsdl:output name="updateRealCalendarsResponse">
-                <soap:body use="literal" />
-            </wsdl:output>
-            <wsdl:fault name="MaelisActivityException">
-                <soap:fault name="MaelisActivityException" use="literal" />
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="updateWeekCalendar">
-            <soap:operation soapAction="" style="document" />
-            <wsdl:input name="updateWeekCalendar">
-                <soap:body use="literal" />
-            </wsdl:input>
-            <wsdl:output name="updateWeekCalendarResponse">
-                <soap:body use="literal" />
-            </wsdl:output>
-            <wsdl:fault name="MaelisActivityException">
-                <soap:fault name="MaelisActivityException" use="literal" />
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="readActivityList">
-            <soap:operation soapAction="" style="document" />
-            <wsdl:input name="readActivityList">
-                <soap:body use="literal" />
-            </wsdl:input>
-            <wsdl:output name="readActivityListResponse">
-                <soap:body use="literal" />
-            </wsdl:output>
-            <wsdl:fault name="MaelisActivityException">
-                <soap:fault name="MaelisActivityException" use="literal" />
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="readChildMonthPlanning">
-            <soap:operation soapAction="" style="document" />
-            <wsdl:input name="readChildMonthPlanning">
-                <soap:body use="literal" />
-            </wsdl:input>
-            <wsdl:output name="readChildMonthPlanningResponse">
-                <soap:body use="literal" />
-            </wsdl:output>
-            <wsdl:fault name="MaelisActivityException">
-                <soap:fault name="MaelisActivityException" use="literal" />
-            </wsdl:fault>
-        </wsdl:operation>
-        <wsdl:operation name="updateScheduleCalendars">
-            <soap:operation soapAction="" style="document" />
-            <wsdl:input name="updateScheduleCalendars">
-                <soap:body use="literal" />
-            </wsdl:input>
-            <wsdl:output name="updateScheduleCalendarsResponse">
-                <soap:body use="literal" />
-            </wsdl:output>
-            <wsdl:fault name="MaelisActivityException">
-                <soap:fault name="MaelisActivityException" use="literal" />
-            </wsdl:fault>
-        </wsdl:operation>
-    </wsdl:binding>
-    <wsdl:service name="ActivityService">
-        <wsdl:port binding="tns:ActivityServiceSoapBinding" name="ActivityServiceImplPort">
-            <soap:address location="http://www3.sigec.fr/entrouvertws/services/ActivityService" />
-        </wsdl:port>
-    </wsdl:service>
-</wsdl:definitions>
+  <wsdl:types>
+<xs:schema targetNamespace="bean.persistence.ws.maelis.sigec.com" version="1.0" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:complexType name="weeklyCalendarActivityBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="yearCalendar" type="xs:int" />
+<xs:element minOccurs="0" name="weeklyCalendarStr" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="personInfoBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="idMaelis" type="xs:string" />
+<xs:element name="num" type="xs:int" />
+<xs:element minOccurs="0" name="lastname" type="xs:string" />
+<xs:element minOccurs="0" name="firstname" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="personInfoLightBean">
+<xs:sequence>
+<xs:element name="num" type="xs:int" />
+<xs:element minOccurs="0" name="lastname" type="xs:string" />
+<xs:element minOccurs="0" name="firstname" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+</xs:schema>
+<xs:schema targetNamespace="bean.persistence.activity.ws.maelis.sigec.com" version="1.0" xmlns:ns1="activity.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:tns="bean.persistence.activity.ws.maelis.sigec.com" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:import namespace="activity.ws.maelis.sigec.com" />
+<xs:import namespace="bean.persistence.ws.maelis.sigec.com" />
+<xs:complexType name="updateRealCalendarsRequestBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="unitPersonDayInfoBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="numPerson" type="xs:int" />
+<xs:element minOccurs="0" name="idAct" type="xs:string" />
+<xs:element minOccurs="0" name="idUni" type="xs:string" />
+<xs:element minOccurs="0" name="date" type="xs:dateTime" />
+<xs:element minOccurs="0" name="action" type="ns1:dayInfoAction" />
+<xs:element minOccurs="0" name="idPlace" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="updateRealCalendarsResultBean">
+<xs:sequence>
+<xs:element name="result" type="xs:boolean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="unitPersonDayInfoErrorBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="errorMessage" type="xs:string" />
+<xs:element minOccurs="0" name="unitPersonDayInfoBean" type="tns:unitPersonDayInfoBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="readActivityPortailListResultBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityUnitPlacePortailList" nillable="true" type="tns:activityUnitPlacePortailBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityUnitPlacePortailBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="activityPortail" type="tns:activityPortailBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="openDayList" nillable="true" type="xs:dateTime" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitPortailList" nillable="true" type="tns:unitPortailBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityPortailBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="idAct" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+<xs:element minOccurs="0" name="code" type="xs:string" />
+<xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
+<xs:element minOccurs="0" name="birthControl" type="xs:string" />
+<xs:element minOccurs="0" name="email" type="xs:string" />
+<xs:element minOccurs="0" name="schoolYear" type="xs:int" />
+<xs:element minOccurs="0" name="calendarGeneration" type="ns1:activityCalendarGenerationBean" />
+<xs:element minOccurs="0" name="dateStartPubli" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEndPubli" type="xs:dateTime" />
+<xs:element minOccurs="0" name="schoolControl" type="xs:string" />
+<xs:element minOccurs="0" name="calendarMode" type="xs:string" />
+<xs:element minOccurs="0" name="activityType" type="tns:activityTypeBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="weeklyCalendarActivityList" nillable="true" type="ns2:weeklyCalendarActivityBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriodList" nillable="true" type="tns:activityPeriodCapacityBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityBusList" nillable="true" type="ns1:activityUnitPlaceBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityTypeBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="xs:string" />
+<xs:element minOccurs="0" name="libelle" type="xs:string" />
+<xs:element minOccurs="0" name="natureSpec" type="tns:activityNatureBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityNatureBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="xs:string" />
+<xs:element minOccurs="0" name="libelle" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityPeriodCapacityBean">
+<xs:complexContent>
+<xs:extension base="ns1:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="period" type="ns1:periodBean" />
+<xs:element minOccurs="0" name="capacity" type="xs:int" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="calendCapacityExceptList" nillable="true" type="ns1:calendCapacityBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="placeBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="id" type="xs:string" />
+<xs:element minOccurs="0" name="lib" type="xs:string" />
+<xs:element minOccurs="0" name="lib2" type="xs:string" />
+<xs:element minOccurs="0" name="adresse" type="tns:adressBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriscolList" nillable="true" type="tns:activityPeriscolBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="adressBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="num" type="xs:int" />
+<xs:element minOccurs="0" name="street1" type="xs:string" />
+<xs:element minOccurs="0" name="street2" type="xs:string" />
+<xs:element minOccurs="0" name="idStreet" type="xs:string" />
+<xs:element minOccurs="0" name="zipcode" type="xs:string" />
+<xs:element minOccurs="0" name="town" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityPeriscolBean">
+<xs:complexContent>
+<xs:extension base="ns1:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="activity" type="ns1:activityBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriodList" nillable="true" type="tns:activityPeriodCapacityBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitList" nillable="true" type="tns:unitPeriscolBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="unitPeriscolBean">
+<xs:complexContent>
+<xs:extension base="ns1:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="idUnit" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="periodList" nillable="true" type="ns1:periodBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="unitPortailBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="idUnit" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+<xs:element minOccurs="0" name="codeExt" type="xs:string" />
+<xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
+<xs:element minOccurs="0" name="birthDateStart" type="xs:dateTime" />
+<xs:element minOccurs="0" name="birthDateEnd" type="xs:dateTime" />
+<xs:element minOccurs="0" name="calendarLetter" type="xs:string" />
+<xs:element minOccurs="0" name="subscribePublication" type="xs:string" />
+<xs:element minOccurs="0" name="dateStartSubscribe" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEndSubscribe" type="xs:dateTime" />
+<xs:element minOccurs="0" name="numOrder" type="xs:int" />
+<xs:element minOccurs="0" name="calendarPublication" type="xs:string" />
+<xs:element minOccurs="0" name="recordAbsence" type="xs:string" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="calendList" nillable="true" type="tns:calendPortailBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="tns:placeBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="periodList" nillable="true" type="ns1:periodBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="calendPortailBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="dateConso" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMin" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMax" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMinVisu" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMaxVisu" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMaxMajPrev" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateMaxAddPres" type="xs:dateTime" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="dayBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="datePlanning" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dayType" type="tns:dayTypeBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="dayTypeBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="ns1:code" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="resultCalendarListBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="person" type="ns2:personInfoBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="calendList" nillable="true" type="tns:calendarUnitDayBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="calendarUnitDayBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="unit" type="tns:unitBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="listDays" nillable="true" type="tns:dayBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="unitBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="id" type="xs:string" />
+<xs:element minOccurs="0" name="idActivity" type="xs:string" />
+<xs:element minOccurs="0" name="libelle" type="xs:string" />
+<xs:element minOccurs="0" name="motif" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="childActivityUnitPlaceBean">
+<xs:complexContent>
+<xs:extension base="ns1:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="child" type="ns2:personInfoLightBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="activityList" nillable="true" type="tns:activityUnitPlaceLightBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="activityUnitPlaceLightBean">
+<xs:complexContent>
+<xs:extension base="ns1:abstractSpecResultBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="activity" type="ns1:idLabelBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitList" nillable="true" type="tns:unitPlaceLightBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="unitPlaceLightBean">
+<xs:complexContent>
+<xs:extension base="ns1:idLabelBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="ns1:idLabelBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="updateScheduleCalendarsRequestBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="updateScheduleCalendarsResultBean">
+<xs:sequence>
+<xs:element name="result" type="xs:boolean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean" />
+</xs:sequence>
+</xs:complexType>
+</xs:schema>
+<xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="activity.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.activity.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.ws.maelis.sigec.com" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:xs="http://www.w3.org/2001/XMLSchema">
+<xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com" />
+<xs:import namespace="bean.persistence.ws.maelis.sigec.com" />
+<xs:complexType name="activityCalendarGenerationBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="tns:activityCalendarGenerationMode" />
+<xs:element minOccurs="0" name="value" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityUnitPlace2KernelBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="activityKernel" type="xs:anyType" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitKernelList" nillable="true" type="xs:anyType" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="codeLabelKernelBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="consoTarifKernelBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="commune" type="xs:string" />
+<xs:element minOccurs="0" name="consoKernelBean" type="tns:codeLabelKernelBean" />
+<xs:element minOccurs="0" name="tarifKernelBean" type="tns:codeLabelKernelBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="activityPeriodCapacityKernelBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="calendCapacityExceptKernelList" nillable="true" type="tns:calendCapacityKernelBean" />
+<xs:element minOccurs="0" name="capacity" type="xs:int" />
+<xs:element minOccurs="0" name="periodKernel" type="tns:codeLabelKernelBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType name="calendCapacityKernelBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="capacity" type="xs:int" />
+<xs:element minOccurs="0" name="dayDate" type="xs:dateTime" />
+</xs:sequence>
+</xs:complexType>
+<xs:complexType abstract="true" name="abstractSpecBean">
+<xs:sequence />
+</xs:complexType>
+<xs:complexType name="periodBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="code" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="calendCapacityBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="capacity" type="xs:int" />
+<xs:element minOccurs="0" name="dayDate" type="xs:dateTime" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="activityUnitPlaceBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="activity" type="tns:activityBean" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="unitList" nillable="true" type="tns:unitPlaceBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="activityBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="id" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="unitPlaceBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="idUnit" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="ns1:placeBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="readChildListActivityListResultBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecResultBean">
+<xs:sequence>
+<xs:element maxOccurs="unbounded" minOccurs="0" name="childActivityUnitPlaceList" nillable="true" type="ns1:childActivityUnitPlaceBean" />
+</xs:sequence>
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType abstract="true" name="abstractSpecResultBean">
+<xs:complexContent>
+<xs:extension base="tns:abstractSpecBean">
+<xs:sequence />
+</xs:extension>
+</xs:complexContent>
+</xs:complexType>
+<xs:complexType name="idLabelBean">
+<xs:sequence>
+<xs:element minOccurs="0" name="id" type="xs:string" />
+<xs:element minOccurs="0" name="label" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:simpleType name="dayInfoAction">
+<xs:restriction base="xs:string">
+<xs:enumeration value="ADD_PRES_PREVI" />
+<xs:enumeration value="DEL_PRES_PREVI" />
+<xs:enumeration value="ADD_ABSENCE" />
+<xs:enumeration value="DEL_ABSENCE" />
+<xs:enumeration value="ADD_PRES_REAL" />
+<xs:enumeration value="DEL_PRES_REAL" />
+<xs:enumeration value="ADD_DEDUCTED_ABSENCE" />
+</xs:restriction>
+</xs:simpleType>
+<xs:simpleType name="activityCalendarGenerationMode">
+<xs:restriction base="xs:string">
+<xs:enumeration value="REQUIRED" />
+<xs:enumeration value="FORBIDDEN" />
+<xs:enumeration value="NOT_REQUIRED" />
+</xs:restriction>
+</xs:simpleType>
+<xs:simpleType name="code">
+<xs:restriction base="xs:string">
+<xs:enumeration value="AM" />
+<xs:enumeration value="PM" />
+<xs:enumeration value="DAY" />
+<xs:enumeration value="NONE" />
+</xs:restriction>
+</xs:simpleType>
+<xs:element name="MaelisActivityException" type="tns:MaelisActivityException" />
+<xs:complexType name="MaelisActivityException">
+<xs:sequence>
+<xs:element name="message" nillable="true" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateRealCalendars" type="tns:updateRealCalendars" />
+<xs:complexType name="updateRealCalendars">
+<xs:sequence>
+<xs:element minOccurs="0" name="updateRealCalendarsRequestBean" type="ns1:updateRealCalendarsRequestBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateRealCalendarsResponse" type="tns:updateRealCalendarsResponse" />
+<xs:complexType name="updateRealCalendarsResponse">
+<xs:sequence>
+<xs:element minOccurs="0" name="return" type="ns1:updateRealCalendarsResultBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateWeekCalendar" type="tns:updateWeekCalendar" />
+<xs:complexType name="updateWeekCalendar">
+<xs:sequence>
+<xs:element minOccurs="0" name="idActivity" type="xs:string" />
+<xs:element minOccurs="0" name="numPerson" type="xs:int" />
+<xs:element minOccurs="0" name="dateStart" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEnd" type="xs:dateTime" />
+<xs:element minOccurs="0" name="weeklyPlanningAM" type="xs:string" />
+<xs:element minOccurs="0" name="weeklyPlanningPM" type="xs:string" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateWeekCalendarResponse" type="tns:updateWeekCalendarResponse" />
+<xs:complexType name="updateWeekCalendarResponse">
+<xs:sequence />
+</xs:complexType>
+<xs:element name="readActivityList" type="tns:readActivityList" />
+<xs:complexType name="readActivityList">
+<xs:sequence>
+<xs:element minOccurs="0" name="schoolyear" type="xs:int" />
+<xs:element minOccurs="0" name="dateStartCalend" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEndCalend" type="xs:dateTime" />
+<xs:element minOccurs="0" name="numPerson" type="xs:int" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="readActivityListResponse" type="tns:readActivityListResponse" />
+<xs:complexType name="readActivityListResponse">
+<xs:sequence>
+<xs:element minOccurs="0" name="ReadActivityPortailListResultBean" type="ns1:readActivityPortailListResultBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="readChildMonthPlanning" type="tns:readChildMonthPlanning" />
+<xs:complexType name="readChildMonthPlanning">
+<xs:sequence>
+<xs:element minOccurs="0" name="numPerson" type="xs:int" />
+<xs:element minOccurs="0" name="idActivity" type="xs:string" />
+<xs:element minOccurs="0" name="idUnit" type="xs:string" />
+<xs:element minOccurs="0" name="year" type="xs:int" />
+<xs:element minOccurs="0" name="numMonth" type="xs:int" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="readChildMonthPlanningResponse" type="tns:readChildMonthPlanningResponse" />
+<xs:complexType name="readChildMonthPlanningResponse">
+<xs:sequence>
+<xs:element minOccurs="0" name="ResultCalendarList" type="ns1:resultCalendarListBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="readChildListActivityList" type="tns:readChildListActivityList" />
+<xs:complexType name="readChildListActivityList">
+<xs:sequence>
+<xs:element minOccurs="0" name="schoolyear" type="xs:int" />
+<xs:element minOccurs="0" name="dateStartCalend" type="xs:dateTime" />
+<xs:element minOccurs="0" name="dateEndCalend" type="xs:dateTime" />
+<xs:element maxOccurs="unbounded" minOccurs="0" name="numPersonList" type="xs:int" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="readChildListActivityListResponse" type="tns:readChildListActivityListResponse" />
+<xs:complexType name="readChildListActivityListResponse">
+<xs:sequence>
+<xs:element minOccurs="0" name="ReadChildListActivityListResultBean" type="tns:readChildListActivityListResultBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateScheduleCalendars" type="tns:updateScheduleCalendars" />
+<xs:complexType name="updateScheduleCalendars">
+<xs:sequence>
+<xs:element minOccurs="0" name="updateScheduleCalendarsRequestBean" type="ns1:updateScheduleCalendarsRequestBean" />
+</xs:sequence>
+</xs:complexType>
+<xs:element name="updateScheduleCalendarsResponse" type="tns:updateScheduleCalendarsResponse" />
+<xs:complexType name="updateScheduleCalendarsResponse">
+<xs:sequence>
+<xs:element minOccurs="0" name="return" type="ns1:updateScheduleCalendarsResultBean" />
+</xs:sequence>
+</xs:complexType>
+</xs:schema>
+  </wsdl:types>
+  <wsdl:message name="updateScheduleCalendarsResponse">
+    <wsdl:part element="tns:updateScheduleCalendarsResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readActivityList">
+    <wsdl:part element="tns:readActivityList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readChildMonthPlanning">
+    <wsdl:part element="tns:readChildMonthPlanning" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readActivityListResponse">
+    <wsdl:part element="tns:readActivityListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readChildListActivityList">
+    <wsdl:part element="tns:readChildListActivityList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="MaelisActivityException">
+    <wsdl:part element="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateScheduleCalendars">
+    <wsdl:part element="tns:updateScheduleCalendars" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateRealCalendars">
+    <wsdl:part element="tns:updateRealCalendars" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateWeekCalendarResponse">
+    <wsdl:part element="tns:updateWeekCalendarResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateWeekCalendar">
+    <wsdl:part element="tns:updateWeekCalendar" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readChildListActivityListResponse">
+    <wsdl:part element="tns:readChildListActivityListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="readChildMonthPlanningResponse">
+    <wsdl:part element="tns:readChildMonthPlanningResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateRealCalendarsResponse">
+    <wsdl:part element="tns:updateRealCalendarsResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:portType name="ActivityService">
+    <wsdl:operation name="updateRealCalendars">
+      <wsdl:input message="tns:updateRealCalendars" name="updateRealCalendars">
+    </wsdl:input>
+      <wsdl:output message="tns:updateRealCalendarsResponse" name="updateRealCalendarsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateWeekCalendar">
+      <wsdl:input message="tns:updateWeekCalendar" name="updateWeekCalendar">
+    </wsdl:input>
+      <wsdl:output message="tns:updateWeekCalendarResponse" name="updateWeekCalendarResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readActivityList">
+      <wsdl:input message="tns:readActivityList" name="readActivityList">
+    </wsdl:input>
+      <wsdl:output message="tns:readActivityListResponse" name="readActivityListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readChildMonthPlanning">
+      <wsdl:input message="tns:readChildMonthPlanning" name="readChildMonthPlanning">
+    </wsdl:input>
+      <wsdl:output message="tns:readChildMonthPlanningResponse" name="readChildMonthPlanningResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readChildListActivityList">
+      <wsdl:input message="tns:readChildListActivityList" name="readChildListActivityList">
+    </wsdl:input>
+      <wsdl:output message="tns:readChildListActivityListResponse" name="readChildListActivityListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateScheduleCalendars">
+      <wsdl:input message="tns:updateScheduleCalendars" name="updateScheduleCalendars">
+    </wsdl:input>
+      <wsdl:output message="tns:updateScheduleCalendarsResponse" name="updateScheduleCalendarsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+  </wsdl:portType>
+  <wsdl:binding name="ActivityServiceSoapBinding" type="tns:ActivityService">
+    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http" />
+    <wsdl:operation name="updateRealCalendars">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="updateRealCalendars">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="updateRealCalendarsResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateWeekCalendar">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="updateWeekCalendar">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="updateWeekCalendarResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readActivityList">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="readActivityList">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="readActivityListResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readChildMonthPlanning">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="readChildMonthPlanning">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="readChildMonthPlanningResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="readChildListActivityList">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="readChildListActivityList">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="readChildListActivityListResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateScheduleCalendars">
+      <soap:operation soapAction="" style="document" />
+      <wsdl:input name="updateScheduleCalendars">
+        <soap:body use="literal" />
+      </wsdl:input>
+      <wsdl:output name="updateScheduleCalendarsResponse">
+        <soap:body use="literal" />
+      </wsdl:output>
+      <wsdl:fault name="MaelisActivityException">
+        <soap:fault name="MaelisActivityException" use="literal" />
+      </wsdl:fault>
+    </wsdl:operation>
+  </wsdl:binding>
+  <wsdl:service name="ActivityService">
+    <wsdl:port binding="tns:ActivityServiceSoapBinding" name="ActivityServiceImplPort">
+      <soap:address location="http://www3.sigec.fr/entrouvertws/services/ActivityService" />
+    </wsdl:port>
+  </wsdl:service>
+</wsdl:definitions>
\ No newline at end of file
